## progress 0.13

=== Makefile ===
OBJ = progress
override CFLAGS += -g -Wall -D_FILE_OFFSET_BITS=64
override LDFLAGS += -lm
UNAME := $(shell uname)
ifeq ($(UNAME), Linux)
    override LDFLAGS += $(shell pkg-config ncurses --libs)
endif
ifeq ($(UNAME), Darwin)
    override LDFLAGS += -lncurses
endif
PREFIX ?= /usr/local
BINDIR = $(PREFIX)/bin
MANDIR = $(PREFIX)/share/man/man1

$(OBJ) : progress.o sizes.o hlist.o
	$(CC) -Wall $^ -o $@ $(LDFLAGS)
%.o : %.c
	$(CC) $(CFLAGS) -c $^
clean :
	rm -f *.o $(OBJ)
install : $(OBJ)
	@echo "Installing program to $(DESTDIR)$(BINDIR) ..."
	@mkdir -p $(DESTDIR)$(BINDIR)
	@install -pm0755 $(OBJ) $(DESTDIR)$(BINDIR)/$(TARGET) || \
	echo "Failed. Try "make PREFIX=~ install" ?"
	@echo "Installing manpage to $(DESTDIR)$(MANDIR) ..."
	@mkdir -p $(DESTDIR)$(MANDIR)
	@install -pm0644 $(OBJ).1 $(DESTDIR)$(MANDIR)/ || \
	echo "Failed. Try "make PREFIX=~ install" ?"
uninstall :
	@rm -f $(DESTDIR)$(BINDIR)/$(OBJ)
	@rm -f $(DESTDIR)$(MANDIR)/$(OBJ).1

=== debian/changelog ===
progress (0.13-2) unstable; urgency=medium

  * Bump standards from 3.9.6 to 3.9.7 (requires no change)
  * Update Vcs-Browser to an https link.

 -- Zhou Mo <cdluminate@gmail.com>  Tue, 01 Mar 2016 05:36:10 +0000

progress (0.13-1) unstable; urgency=medium

  * Import upstream version 0.13.
  * Fix typo in section progress (0.12.1+git20160202-g2ec12d42-1),
    "pkg-control" -> "pkg-config"

 -- Zhou Mo <cdluminate@gmail.com>  Thu, 11 Feb 2016 03:15:11 +0000

progress (0.12.1+git20160202-g2ec12d42-1) unstable; urgency=medium

  * Import upstream snapshot version 0.12.1+git20160202-g2ec12d42
  * d/control:
    + update long description.
    + add pkg-config to B-D.
  * d/rules: strip unnecessary lines.

 -- Zhou Mo <cdluminate@gmail.com>  Tue, 02 Feb 2016 13:56:03 +0000

progress (0.9-1) unstable; urgency=medium

  * Imported upstream version 0.9
  * Removed all Debian patches, because all of them are merged by upstream.
    - debian/patches/add-license-info.patch
    - debian/patches/fix-makefile-ldflags.patch
    - debian/patches/fix-manpage-has-errors.patch
  * d/control:
    - fixed Vcs-Git field.
    - added Vcs-Browser field.

 -- Zhou Mo <cdluminate@gmail.com>  Sun, 20 Sep 2015 09:54:22 +0000

progress (0.8-1) unstable; urgency=low

  * Initial release. Closes: #785425
  * Fix manpage syntax error.
  * Imported upstream version 0.8
  * Fix upstream Makefile
    + Change non-standard "LFLAGS" to "LDFLAGS"

 -- Zhou Mo <cdluminate@gmail.com>  Fri, 14 Aug 2015 03:41:10 +0000

=== debian/control ===
Source: progress
Section: utils
Priority: optional
Maintainer: Zhou Mo <cdluminate@gmail.com>
Build-Depends: debhelper (>=9),
 libncurses5-dev,
 libtinfo-dev,
 pkg-config,
Standards-Version: 3.9.7
Homepage: https://github.com/Xfennec/progress
Vcs-Git: git://anonscm.debian.org/users/cdluminate-guest/progress.git
Vcs-Browser: https://anonscm.debian.org/cgit/users/cdluminate-guest/progress.git

Package: progress
Architecture: linux-any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Coreutils Progress Viewer (formerly known as 'cv')
 This tool can be described as a Tiny, Dirty, Linux-and-OSX-Only
 C command that looks for coreutils basic commands (cp, mv, dd, tar,
 gzip/gunzip, cat, etc.) currently running on your system and
 displays the percentage of copied data. It can also show estimated
 time and throughput, and provide a "top-like" mode (monitoring).
 .
 It simply scans `/proc` for interesting commands, and then looks at
 directories `fd` and `fdinfo` to find opened files and seek positions,
 and reports status for the largest file.
 .
 It's very light, and compatible with virtually any command.
 This program was formerly known as 'cv' on github.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export PREFIX=/usr

%:
	dh $@

## progress 0.13.1

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,12 @@
 override LDFLAGS += -lm
 UNAME := $(shell uname)
 ifeq ($(UNAME), Linux)
+    ifeq (, $(shell which pkg-config 2> /dev/null))
+    $(error "pkg-config command not found")
+    endif
+    ifeq (, $(shell pkg-config ncurses --libs 2> /dev/null))
+    $(error "ncurses package not found")
+    endif
     override LDFLAGS += $(shell pkg-config ncurses --libs)
 endif
 ifeq ($(UNAME), Darwin)

=== debian/changelog ===
progress (0.13.1-1) unstable; urgency=medium

  * Import upstream version 0.13.1 .
  * Remove unnecessary hardening measures -- 'hardening=+all' is enough.
  * Add autopkgtest support.

 -- Zhou Mo <cdluminate@gmail.com>  Fri, 14 Oct 2016 05:09:20 +0000

progress (0.13-3) unstable; urgency=medium

  * Hardening build: Append $(CPPFLAGS) to CC argument list
    in upstream Makefile.
  * Update Vcs-Git to https link.
  * Bump Standards version to 3.9.8 . (no change required)

 -- Zhou Mo <cdluminate@gmail.com>  Tue, 03 May 2016 04:59:19 +0000

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
  libncurses5-dev,
  libtinfo-dev,
  pkg-config,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/Xfennec/progress
-Vcs-Git: git://anonscm.debian.org/users/cdluminate-guest/progress.git
+Vcs-Git: https://anonscm.debian.org/git/users/cdluminate-guest/progress.git
 Vcs-Browser: https://anonscm.debian.org/cgit/users/cdluminate-guest/progress.git
 
 Package: progress

## progress 0.13.1%2B20171106

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS  = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall #-pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export PREFIX=/usr
%:
	dh $@

## progress 0.13.1+20171106

=== debian/changelog ===
progress (0.13.1+20171106-1) unstable; urgency=medium

  * New upstream snapshot 0.13.1+20171106.
  * Bump Standards-Version to 4.1.3 (no change).
  * Bump debhelper compat level to 11.
  * Point Vcs-* fields to Salsa.
  * Use https URI in copyright.
  * Simplify autopkgtest files.
  * Refresh patch Hardening-Makefile.
  * Update my name.

 -- Mo Zhou <cdluminate@gmail.com>  Wed, 14 Feb 2018 06:02:46 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: progress
 Section: utils
 Priority: optional
-Maintainer: Zhou Mo <cdluminate@gmail.com>
-Build-Depends: debhelper (>=9),
+Maintainer: Mo Zhou <cdluminate@gmail.com>
+Build-Depends: debhelper (>=11~),
  libncurses5-dev,
  libtinfo-dev,
  pkg-config,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://github.com/Xfennec/progress
-Vcs-Git: https://anonscm.debian.org/git/users/cdluminate-guest/progress.git
-Vcs-Browser: https://anonscm.debian.org/cgit/users/cdluminate-guest/progress.git
+Vcs-Browser: https://salsa.debian.org/lumin-guest/progress
+Vcs-Git: https://salsa.debian.org/lumin-guest/progress.git
 
 Package: progress
 Architecture: linux-any

## progress 0.14

=== debian/changelog ===
progress (0.14-4) unstable; urgency=medium

  * Revert the buildflags.mk “fix”, it broke cross-compilation.
    Closes: #900671.
  * Switch to debhelper compatibility level 12.
  * Set “Rules-Requires-Root: no”.
  * Standards-Version 4.4.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 04 Sep 2019 23:11:53 +0200

progress (0.14-3) unstable; urgency=medium

  * Adopt the package. Thanks Mo Zhou for your work! Closes: #919488.
  * Standards-Version 4.3.0, no change required.
  * Drop README.Debian which isn’t generally relevant any more.
  * Update debian/copyright.
  * Use buildflags.mk instead of buildtools.mk.

 -- Stephen Kitt <skitt@debian.org>  Thu, 17 Jan 2019 13:53:38 +0100

progress (0.14-2) unstable; urgency=medium

  * Transfer packaging repo to Salsa/Debian.
  * Bump Standards-Version to 4.2.1 (no change).

 -- Mo Zhou <cdluminate@gmail.com>  Fri, 14 Sep 2018 06:31:45 +0000

progress (0.14-1) unstable; urgency=medium

  * New upstream version 0.14
  * Fix FTCBFS: Also pass PKG_CONFIG for all dh_auto_*. (Closes: #900671)
    Many thanks to Helmut Grohne <helmut@subdivi.de>
  * Bump Standards-Version to 4.1.4 (no change).

 -- Mo Zhou <cdluminate@gmail.com>  Fri, 29 Jun 2018 16:19:24 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: progress
 Section: utils
 Priority: optional
-Maintainer: Mo Zhou <cdluminate@gmail.com>
-Build-Depends: debhelper (>=11~),
- libncurses5-dev,
- libtinfo-dev,
- pkg-config,
-Standards-Version: 4.1.3
+Maintainer: Stephen Kitt <skitt@debian.org>
+Build-Depends: debhelper-compat (= 12),
+               libncurses5-dev,
+               libtinfo-dev,
+               pkg-config,
+Standards-Version: 4.4.0
 Homepage: https://github.com/Xfennec/progress
-Vcs-Browser: https://salsa.debian.org/lumin-guest/progress
-Vcs-Git: https://salsa.debian.org/lumin-guest/progress.git
+Vcs-Browser: https://salsa.debian.org/debian/progress
+Vcs-Git: https://salsa.debian.org/debian/progress.git
+Rules-Requires-Root: no
 
 Package: progress
 Architecture: linux-any

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS  = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall #-pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
include /usr/share/dpkg/buildtools.mk
export PKG_CONFIG ?= pkg-config

export PREFIX=/usr
%:
	dh $@

## progress 0.15

=== debian/changelog ===
progress (0.15-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Stephen Kitt ]
  * New upstream release.
  * Drop the explicit --as-needed linker flag, which is now the default.
  * Switch to debhelper compatibility level 13.

 -- Stephen Kitt <skitt@debian.org>  Fri, 12 Jun 2020 13:31:54 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: utils
 Priority: optional
 Maintainer: Stephen Kitt <skitt@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libncurses5-dev,
                libtinfo-dev,
                pkg-config,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/Xfennec/progress
 Vcs-Browser: https://salsa.debian.org/debian/progress
 Vcs-Git: https://salsa.debian.org/debian/progress.git

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/progress-$1.tar.gz/" \
https://github.com/Xfennec/progress/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## progress 0.16

=== Makefile ===
--- 
+++ 
@@ -1,18 +1,23 @@
 OBJ = progress
-override CFLAGS += -g -Wall -D_FILE_OFFSET_BITS=64
+CFLAGS ?= -g
+override CFLAGS += -Wall -D_FILE_OFFSET_BITS=64
 override LDFLAGS += -lm
 UNAME := $(shell uname)
+PKG_CONFIG ?= pkg-config
 ifeq ($(UNAME), Linux)
-    ifeq (, $(shell which pkg-config 2> /dev/null))
+    ifeq (, $(shell which $(PKG_CONFIG) 2> /dev/null))
     $(error "pkg-config command not found")
     endif
-    ifeq (, $(shell pkg-config ncurses --libs 2> /dev/null))
+    ifeq (, $(shell $(PKG_CONFIG) ncurses --libs 2> /dev/null))
     $(error "ncurses package not found")
     endif
-    override LDFLAGS += $(shell pkg-config ncurses --libs)
+    override LDFLAGS += $(shell $(PKG_CONFIG) ncurses --libs)
 endif
 ifeq ($(UNAME), Darwin)
     override LDFLAGS += -lncurses
+endif
+ifeq ($(UNAME), FreeBSD)
+    override LDFLAGS += -lncurses -lprocstat
 endif
 PREFIX ?= /usr/local
 BINDIR = $(PREFIX)/bin

=== debian/changelog ===
progress (0.16-1) unstable; urgency=medium

  * Standards-Version 4.6.0, no change required.
  * Upload to unstable.

 -- Stephen Kitt <skitt@debian.org>  Thu, 02 Sep 2021 18:22:32 +0200

progress (0.16-1~exp1) experimental; urgency=medium

  * New upstream release, with FreeBSD support.
  * Update debian/watch to version 4.
  * Standards-Version 4.5.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 29 Jun 2021 21:20:10 +0200

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
                libncurses5-dev,
                libtinfo-dev,
                pkg-config,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/Xfennec/progress
 Vcs-Browser: https://salsa.debian.org/debian/progress
 Vcs-Git: https://salsa.debian.org/debian/progress.git
 Rules-Requires-Root: no
 
 Package: progress
-Architecture: linux-any
+Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Coreutils Progress Viewer (formerly known as 'cv')

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS  = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall #-pedantic
include /usr/share/dpkg/buildtools.mk
export PKG_CONFIG ?= pkg-config

export PREFIX=/usr
%:
	dh $@

## progress 0.17

=== Makefile ===
--- 
+++ 
@@ -8,10 +8,10 @@
     ifeq (, $(shell which $(PKG_CONFIG) 2> /dev/null))
     $(error "pkg-config command not found")
     endif
-    ifeq (, $(shell $(PKG_CONFIG) ncurses --libs 2> /dev/null))
+    ifeq (, $(shell $(PKG_CONFIG) ncursesw --libs 2> /dev/null))
     $(error "ncurses package not found")
     endif
-    override LDFLAGS += $(shell $(PKG_CONFIG) ncurses --libs)
+    override LDFLAGS += $(shell $(PKG_CONFIG) ncursesw --libs)
 endif
 ifeq ($(UNAME), Darwin)
     override LDFLAGS += -lncurses
@@ -22,6 +22,7 @@
 PREFIX ?= /usr/local
 BINDIR = $(PREFIX)/bin
 MANDIR = $(PREFIX)/share/man/man1
+ZSHDIR = $(PREFIX)/share/zsh/site-functions
 
 $(OBJ) : progress.o sizes.o hlist.o
 	$(CC) -Wall $^ -o $@ $(LDFLAGS)
@@ -38,6 +39,10 @@
 	@mkdir -p $(DESTDIR)$(MANDIR)
 	@install -pm0644 $(OBJ).1 $(DESTDIR)$(MANDIR)/ || \
 	echo "Failed. Try "make PREFIX=~ install" ?"
+	@echo "Installing zsh completion to $(DESTDIR)$(ZSHDIR) ..."
+	@install -Dpm0644 _$(OBJ) -t $(DESTDIR)$(ZSHDIR)/ || \
+	echo "Failed. Try "make PREFIX=~ install" ?"
 uninstall :
 	@rm -f $(DESTDIR)$(BINDIR)/$(OBJ)
 	@rm -f $(DESTDIR)$(MANDIR)/$(OBJ).1
+	@rm -f $(DESTDIR)$(ZSHDIR)/_$(OBJ)

=== debian/changelog ===
progress (0.17-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 16 Oct 2023 21:38:21 +0200

progress (0.16-2) unstable; urgency=medium

  * Build-depend on libncurses-dev instead of libncurses5-dev and
    libtinfo-dev.
  * Standards-Version 4.6.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 06 Feb 2023 18:48:48 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,9 @@
 Priority: optional
 Maintainer: Stephen Kitt <skitt@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               libncurses5-dev,
-               libtinfo-dev,
+               libncurses-dev,
                pkg-config,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/Xfennec/progress
 Vcs-Browser: https://salsa.debian.org/debian/progress
 Vcs-Git: https://salsa.debian.org/debian/progress.git

=== debian/tests/control ===
# simply run this program to see if it works. Using -q to hide all messages
Test-Command: progress -q

## progress 1.0.1

=== DESCRIPTION ===
Package: progress
Title: Terminal Progress Bars
Version: 1.0.1
Author: Gabor Csardi [aut, cre]
Maintainer: Gabor Csardi <csardi.gabor@gmail.com>
Description: Terminal progress bars. They are
    configurable, may include percentage, elapsed time, and/or
    the estimated completion time. They work in the command line,
    in Emacs, R Studio, Windows Rgui and Mac OSX R.app. The package
    also provides a C++ API, that works with or without Rcpp.
License: MIT + file LICENSE
LazyData: true
URL: https://github.com/gaborcsardi/progress
BugReports: https://github.com/gaborcsardi/progress/issues
Imports: prettyunits, R6
Suggests: testthat
NeedsCompilation: no
Packaged: 2015-05-30 11:39:51 UTC; gaborcsardi
Repository: CRAN
Date/Publication: 2015-05-30 14:43:15

## progress 1.0.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: progress
 Title: Terminal Progress Bars
-Version: 1.0.1
+Version: 1.0.2
 Author: Gabor Csardi [aut, cre]
 Maintainer: Gabor Csardi <csardi.gabor@gmail.com>
 Description: Terminal progress bars. They are
@@ -15,6 +15,6 @@
 Imports: prettyunits, R6
 Suggests: testthat
 NeedsCompilation: no
-Packaged: 2015-05-30 11:39:51 UTC; gaborcsardi
+Packaged: 2015-06-04 22:26:34 UTC; gaborcsardi
 Repository: CRAN
-Date/Publication: 2015-05-30 14:43:15
+Date/Publication: 2015-06-05 01:14:18

## progress 1.1.1

=== DESCRIPTION ===
Package: progress
Title: Terminal Progress Bars
Version: 1.1.1
Author: Gábor Csárdi [aut, cre], Rich FitzJohn [aut]
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Description: Configurable Progress bars, they may include percentage,
    elapsed time, and/or the estimated completion time. They work in
    terminals, in 'Emacs' 'ESS', 'RStudio', 'Windows' 'Rgui' and the
    'macOS' 'R.app'. The package also provides a 'C++' 'API', that works
    with or without 'Rcpp'.
License: MIT + file LICENSE
LazyData: true
URL: https://github.com/gaborcsardi/progress#readme
BugReports: https://github.com/gaborcsardi/progress/issues
Imports: prettyunits, R6
Suggests: testthat, microbenchmark
RoxygenNote: 5.0.1.9000
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2016-12-13 11:08:59 UTC; gaborcsardi
Repository: CRAN
Date/Publication: 2016-12-13 15:33:54

## progress 1.2.1

=== DESCRIPTION ===
Package: progress
Title: Terminal Progress Bars
Version: 1.2.1
Author: Gábor Csárdi [aut, cre], Rich FitzJohn [aut]
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Description: Configurable Progress bars, they may include percentage,
    elapsed time, and/or the estimated completion time. They work in
    terminals, in 'Emacs' 'ESS', 'RStudio', 'Windows' 'Rgui' and the
    'macOS' 'R.app'. The package also provides a 'C++' 'API', that works
    with or without 'Rcpp'.
License: MIT + file LICENSE
LazyData: true
URL: https://github.com/r-lib/progress#readme
BugReports: https://github.com/r-lib/progress/issues
Imports: hms, prettyunits, R6, crayon
Suggests: Rcpp, testthat, withr
RoxygenNote: 6.1.0
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2019-05-13 12:45:16 UTC; gaborcsardi
Repository: CRAN
Date/Publication: 2019-05-13 13:20:06 UTC

## progress executor-0.3

=== Makefile ===


make_repo:
	@-export NAME=$$(basename -s .git `git config --get remote.origin.url`); while true; do find . -exec bash -c 'git mv $$0 $$(echo $$0 | sed -E "s;___package_name___;$$NAME;g") 2> /dev/null' {} \; 2> /dev/null && break; done; 
	@export NAME=$$(basename -s .git `git config --get remote.origin.url`); find . -type f ! -name "Makefile" ! -path "./.*" -exec bash -c 'sed -i -E "s;___package_name___;$$NAME;g" $$0' {} \;  
	@git commit -a -m "Initial template renaming" 
	pip install -e .
